package com.shcd.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.List;
import lombok.Data;

/**
 * 长航 - 泊位信息
 */
@Data
@TableName("GHJG_PORT_MANAGE.SHORE_POWER_BERTH_INFO")
public class ShorePowerBerthInfo {

  @TableId("BERTH_ID")
  String berth_id;
  @TableField("WHARF_ID")
  String wharf_id;
  @TableField("BERTH_NAME")
  String berth_name;
  @TableField("BERTH_TYPE")
  String berth_type;
  @TableField("BERTH_SIZE")
  String berth_size;
  @TableField("BERTH_APPLICATION")
  String berth_application;
  @TableField("COORDINATE")
  String coordinate;
  @TableField("PRODUCTION_TYPE")
  String production_type;
  @TableField("SERVICE_TYPES")
  String service_types;
  @TableField("OPERATIONAL_REGIME")
  String operational_regime;
  @TableField("BERTH_SCALE")
  String berth_scale;
  @TableField("BERTH_LENGTH")
  String berth_length;
  @TableField("BERTH_DEPTH")
  String berth_depth;
  @TableField("BERTH_REALTY")
  String berth_realty;
  @TableField("YEAR_PRODUCTION")
  String year_production;
  @TableField("YEAR_COMPLETION")
  String year_completion;
  @TableField("BERTH_CAPACITY_SZWD")
  String berth_capacity_szwd;
  @TableField("BERTH_CAPACITY_JZXWTEU")
  String berth_capacity_jzxwteu;
  @TableField("BERTH_CAPACITY_JZXWD")
  String berth_capacity_jzxwd;
  @TableField("BERTH_CAPACITY_LKWR")
  String berth_capacity_lkwr;
  @TableField("BERTH_CAPACITY_GZQCWL")
  String berth_capacity_gzqcwl;
  @TableField("BERTH_CAPACITY_GZQCWD")
  String berth_capacity_gzqcwd;
  @TableField("BERTH_INSPECT_SZHWWD")
  String berth_inspect_szhwwd;
  @TableField("BERTH_INSPECT_JZXWTEU")
  String berth_inspect_jzxwteu;
  @TableField("BERTH_INSPECT_JZXWD")
  String berth_inspect_jzxwd;
  @TableField("BERTH_INSPECT_LVWR")
  String berth_inspect_lvwr;
  @TableField("BERTH_INSPECT_GZQCWL")
  String berth_inspect_gzqcwl;
  @TableField("BERTH_INSPECT_GZQCWD")
  String berth_inspect_gzqcwd;
  @TableField("BERTH_CONTACT")
  String berth_contact;
  @TableField("BERTH_CONTACTMODEL")
  String berth_contactmodel;
  @TableField("MARITIME_AGENCY_NAME")
  String maritime_agency_name;
  @TableField("REMARK")
  String remark;
  @TableField("DEPTID")
  String deptid;
  @TableField("DEPTNAME")
  String deptname;
  @TableField("FACILITY_NUMBE")
  String facility_numbe;
  @TableField("FLAG_BIT")
  String flag_bit;
  @TableField(exist = false)
  List<ShorePowerDeviceInfo> deviceInfoList;
}
