package com.shcd.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

/**
 * 长航 - 设备信息
 */
@Data
@TableName("GHJG_PORT_MANAGE.SHORE_POWER_DEVICE_INFO")
public class ShorePowerDeviceInfo {

  @TableId("FACS_ID")
  String facs_id;
  @TableField("BERTH_ID")
  String berth_id;
  @TableField("CHARACTER_NATURE")
  String character_nature;
  @TableField("FACS_NP_VOLTAGE")
  String facs_np_voltage;
  @TableField("FACS_NP_CURRENT")
  String facs_np_current;
  @TableField("FACS_NP_IP_CLASS")
  String facs_np_ip_class;
  @TableField("FACS_NP_CAPACITY")
  String facs_np_capacity;
  @TableField("FACS_NP_CAPACITY_DW")
  String facs_np_capacity_dw;
  @TableField("FACS_NP_NO")
  String facs_np_no;
  @TableField("SG_FLAG")
  String sg_flag;
  @TableField("CONN_NP_RATED_VOLTAGE")
  String conn_np_rated_voltage;
  @TableField("CONN_NP_MAX_VOLTAGE")
  String conn_np_max_voltage;
  @TableField("CONN_NP_RATED_CURRENT")
  String conn_np_rated_current;
  @TableField("CONN_NP_MAX_CURRENT")
  String conn_np_max_current;
  @TableField("CONN_NP_IP_CLASS")
  String conn_np_ip_class;
  @TableField("JTS_FLAG")
  String jts_flag;
  @TableField("INSPECT_FLAG")
  String inspect_flag;
  @TableField("SHORE_POWER_CMP_Y")
  String shore_power_cmp_y;
  @TableField("SHORE_POWER_CMP_M")
  String shore_power_cmp_m;
  @TableField("SHORE_POWER_USED_FLAG")
  String shore_power_used_flag;
  @TableField("CHARGE_FLAG")
  String charge_flag;
  @TableField("ELECTROVALENCE_EXPLAIN")
  String electrovalence_explain;
  @TableField("IS_PUBLIC_PARAM_TECH")
  String is_public_param_tech;
  @TableField("CONN_ADXMP_FILES")
  String conn_adxmp_files;
  @TableField("CONN_JCJMP_FILES")
  String conn_jcjmp_files;
  @TableField("FACS_FREQUENCY")
  String facs_frequency;
  @TableField("OPERATING_UNIT")
  String operating_unit;
  @TableField("EQUIPMENT_SPECIFICATION")
  String equipment_specification;
  @TableField("QUANTITY_EQUIPMENT")
  String quantity_equipment;
  @TableField("PLUG_USAGE")
  String plug_usage;
  @TableField("COMPLETION_TIME")
  String completion_time;
  @TableField("REMARK")
  String remark;
  @TableField("SFHG")
  String sfhg;
  @TableField("IS_CONSTRUCTIONSPECIFICATION")
  String is_constructionspecification;
  @TableField("IS_ELECTRICITYDEMAND")
  String is_electricitydemand;
  @TableField("RECONSTRUCTION_CAPACITY")
  String reconstruction_capacity;
  @TableField("RETROFIT_SPECIFICATION")
  String retrofit_specification;
  @TableField("MODIFIED_NUMBER")
  String modified_number;
  @TableField("ASSSDYDJ")
  String asssdydj;
  @TableField("ELECTROVALENCE")
  String electrovalence;
  @TableField(exist = false)
  String is_constructionspecification_jcbg;
  @TableField("IS_JCBG")
  String is_jcbg;
  @TableField("IS_PZMTDLTSZZ")
  String is_pzmtdltszz;
}
